You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
croc/entrypoint.sh

16 lines
353 B

#!/bin/sh
set -e
if test -f "/run/secrets/croc_pass"; then
pwd=`cat /run/secrets/croc_pass`
if [ -z $pwd ]; then
echo >&2 "error: /run/secrets/croc_pass is empty"
exit 1
fi
export "CROC_PASS"="$pwd"
unset "pwd"
else
echo >&2 "error: /run/secrets/croc_pass does not exist"
exit 1
fi
/croc-entrypoint.sh relay